Subject: bug#74966: 31.0.50; Crash report (using igc on macOS)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Dec 2024 10:12:23 +0200

> Cc: [email-masked], [email-masked]
> From: Gerd Möllmann <[email-masked]>
> Date: Fri, 20 Dec 2024 08:30:55 +0100
> 
> Gerd Möllmann <[email-masked]> writes:
> 
> > I think I'll read the code a bit now.
> 
> BTW, does C-h f x-file-dialog work on platforms != macOS?

In what version of Emacs? and with or without native compilation?

It works here as follows:

  . On MS-Windows:
    - emacs 31 without native compilation
    - emacs 30 with and without native compilation
  . On GNU/Linux:
    - emacs 31 with and without native compilation
    - emacs 30 with and without native compilation

> It aborts here for the same reason.
> 
> And I'm asking myself now why the heck it lands in native_function_doc in
> the first place. Isn't x-file-dialog a C function everywhere?

It is a C function, yes.